View Issue Details

IDProjectCategoryView StatusLast Update
10198Bug reports[All Projects] User / Groups / Rolespublic2016-08-29 12:38
Reportermdekker Assigned Toc_schmitz  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.06+ 
Target VersionFixed in Version2.50.x 
Summary10198: Unable to import tokens due to missing global surveys -> import permission
Description

I have a user that is not the owner of a survey, this user has all global permissions except superadministrator. My user can see all surveys and do a lot, but importing tokens from csv is not possible.

It seems the error is in the inability to set a global import right on the survey level or a good mapping from the survey permission to a global permission.

Additional Information

Affected files:
line 32
https://github.com/LimeSurvey/LimeSurvey/blob/master/application/views/admin/token/tokenbar.php

line 179, 600
https://github.com/LimeSurvey/LimeSurvey/blob/master/application/models/Permission.php

TagsNo tags attached.
Complete LimeSurvey version number (& build)151215
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysql
Server OS (if known)rhel
Webserver software & version (if known)apache
PHP Version5.6

Activities

mdekker

mdekker

2016-01-06 13:11

reporter   ~34154

Willing to fix it myself, just don't know what is the desired solution. I see two:

  1. Allow to set a global surveys import right
  2. Map the surveylevel permission tokens -> import to global surveys update like the create and delete permissions
mdekker

mdekker

2016-01-20 15:29

reporter   ~34298

https://github.com/LimeSurvey/LimeSurvey/pull/422

DenisChenu

DenisChenu

2016-01-21 09:03

developer   ~34302

Last edited: 2016-01-21 09:04

View 2 revisions

Thius global system maybe need more option

Acttualy : survey means : survey + answers + tokens

Maybe we need 3 system

  • Survey
  • Answers
  • Tokens

But have answers read/update access seems strange if you don't have access to content read (except if survey is public ?)

PS: Have an import rights on survey seems OK for me :) in 2.06

c_schmitz

c_schmitz

2016-08-25 12:23

administrator   ~40491

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=20230

c_schmitz

c_schmitz

2016-08-25 13:26

administrator   ~40494

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=20233

c_schmitz

c_schmitz

2016-08-29 12:38

administrator   ~40536

Version 2.51.0 Build 160829 released

Related Changesets

LimeSurvey: master 70c169dd

2016-08-25 10:23:29

c_schmitz

Details Diff
Fixed issue 10198: Unable to import/export tokens even if all global permissions except superadmin are given Affected Issues
10198
mod - application/models/Permission.php Diff File

LimeSurvey: master 7912ca49

2016-08-25 11:26:48

c_schmitz

Details Diff
Fixed issue 10198: Unable to import/export tokens even if all global permissions except superadmin are given Affected Issues
10198
mod - application/models/Permission.php Diff File

Issue History

Date Modified Username Field Change
2016-01-06 12:35 mdekker New Issue
2016-01-06 13:11 mdekker Note Added: 34154
2016-01-20 15:29 mdekker Note Added: 34298
2016-01-21 09:03 DenisChenu Note Added: 34302
2016-01-21 09:04 DenisChenu Note Edited: 34302 View Revisions
2016-08-25 11:56 c_schmitz Assigned To => c_schmitz
2016-08-25 11:56 c_schmitz Status new => assigned
2016-08-25 12:23 c_schmitz Changeset attached => LimeSurvey master 70c169dd
2016-08-25 12:23 c_schmitz Note Added: 40491
2016-08-25 12:23 c_schmitz Resolution open => fixed
2016-08-25 12:24 c_schmitz Status assigned => resolved
2016-08-25 12:24 c_schmitz Fixed in Version => 2.50.x
2016-08-25 13:26 c_schmitz Changeset attached => LimeSurvey master 7912ca49
2016-08-25 13:26 c_schmitz Note Added: 40494
2016-08-29 12:38 c_schmitz Note Added: 40536
2016-08-29 12:38 c_schmitz Status resolved => closed
2019-11-01 17:26 c_schmitz Category User/User groups => User / Groups / Roles